Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.widget.netvibes.type
Class NVDataType

    java.lang.Object
      org.jboss.portal.widget.netvibes.type.NVDataType

Direct Known Subclasses:
  NVBooleanType, NVHiddenType, NVListType, NVPasswordType, NVRangeType, NVTextareaType, NVTextType

    public abstract class NVDataType

extends java.lang.Object

Version:
  $Revision$
Author:
  Emanuel Muckenhuber

Field Summary
`static int` | `BOOLEAN` .
`static int` | `HIDDEN` .
`static int` | `LIST` .
`static int` | `PASSWORD` .
`static int` | `RANGE` .
`static int` | `TEXT` .
`static int` | `TEXTAREA` data type under construction :)

Constructor Summary
`NVDataType()`

Method Summary
`abstract int` | `getOrdinal()`
`static int` | `parseDataTypeLiteral(java.lang.String literal)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TEXT

    public static final int TEXT

  .

  See Also:
    Constant Field Values

### BOOLEAN

    public static final int BOOLEAN

  .

  See Also:
    Constant Field Values

### HIDDEN

    public static final int HIDDEN

  .

  See Also:
    Constant Field Values

### RANGE

    public static final int RANGE

  .

  See Also:
    Constant Field Values

### LIST

    public static final int LIST

  .

  See Also:
    Constant Field Values

### PASSWORD

    public static final int PASSWORD

  .

  See Also:
    Constant Field Values

### TEXTAREA

    public static final int TEXTAREA

  data type under construction :)

  See Also:
    Constant Field Values

Constructor Detail

### NVDataType

    public NVDataType()

Method Detail

### getOrdinal

    public abstract int getOrdinal()

### parseDataTypeLiteral

    public static int parseDataTypeLiteral(java.lang.String literal)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD